Bug 94832 - [MAINTAINER UPDATE] sysutils/bacula-server-devel: upgrade to latest BETA, add recently announce patch
Summary: [MAINTAINER UPDATE] sysutils/bacula-server-devel: upgrade to latest BETA, add...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-22 16:20 UTC by Dan Langille
Modified: 2006-03-30 20:36 UTC (History)
1 user (show)

See Also:


Attachments
patch.bacula (1.72 KB, text/plain)
2006-03-22 16:20 UTC, Dan Langille
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Langille 2006-03-22 16:20:19 UTC
	
* upgrade to latest beta
* add a patch released by Bacula author
  see http://article.gmane.org/gmane.comp.sysutils.backup.bacula.devel/5416 for details
Comment 1 Renato Botelho freebsd_committer 2006-03-23 10:30:58 UTC
Are you sure you want do downgrade from beta6 -> beta3?

Regards
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 2 Dan Langille 2006-03-23 12:45:49 UTC
The original patch was wrong.  This patch should be used instead:

diff -ruN bacula-server-devel/Makefile bacula-server-devel.new/Makefile
--- bacula-server-devel/Makefile	Wed Mar 15 05:22:09 2006
+++ bacula-server-devel.new/Makefile	Thu Mar 23 06:59:56 2006
@@ -6,7 +6,7 @@
 #

 PORTNAME=	bacula
-DISTVERSION=	1.38.6-beta3-20060304
+DISTVERSION=	1.38.6-beta6-20060316
 CATEGORIES=	sysutils
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	bacula
diff -ruN bacula-server-devel/distinfo bacula-server-devel.new/distinfo
--- bacula-server-devel/distinfo	Wed Mar 15 05:22:09 2006
+++ bacula-server-devel.new/distinfo	Thu Mar 23 07:36:00 2006
@@ -1,2 +1,3 @@
-MD5 (bacula-1.38.6-beta3-20060304.tar.gz) = 307153832c052779dc48f31c2d057fe3
-SIZE (bacula-1.38.6-beta3-20060304.tar.gz) = 1927972
+MD5 (bacula-1.38.6-beta6-20060316.tar.gz) = ee96e16d05bfc0d68a1746abbbc71599
+SHA256 (bacula-1.38.6-beta6-20060316.tar.gz) = facea30fb4951c9c9a5a42a61f48c69149952e96626c5e8f517030d93985bd0a
+SIZE (bacula-1.38.6-beta6-20060316.tar.gz) = 1948986
diff -ruN bacula-server-devel/files/patch-src-lib-jcr.c bacula-server-devel.new/files/patch-src-lib-jcr.c
--- bacula-server-devel/files/patch-src-lib-jcr.c	Wed Dec 31 19:00:00 1969
+++ bacula-server-devel.new/files/patch-src-lib-jcr.c	Thu Mar 23 07:01:55 2006
@@ -0,0 +1,12 @@
+--- src/lib/jcr.c	14 Mar 2006 21:41:41 -0000	1.75.2.6
++++ src/lib/jcr.c	21 Mar 2006 11:33:43 -0000	1.75.2.7
+@@ -229,8 +229,8 @@
+    jcr->job_end_push.init(1, false);
+    jcr->sched_time = time(NULL);
+    jcr->daemon_free_jcr = daemon_free_jcr;    /* plug daemon free routine */
+-   jcr->inc_use_count();
+    jcr->init_mutex();
++   jcr->inc_use_count();
+    jcr->JobStatus = JS_Created;       /* ready to run */
+    jcr->VolumeName = get_pool_memory(PM_FNAME);
+    jcr->VolumeName[0] = 0;
Comment 3 Dan Langille 2006-03-23 12:46:18 UTC
On 23 Mar 2006 at 7:30, Renato Botelho wrote:

> Are you sure you want do downgrade from beta6 -> beta3?

Thanks.  I think the original patch is reversed.  I'm sending an 
update.

-- 
Dan Langille : Software Developer looking for work
my resume: http://www.freebsddiary.org/dan_langille.php
Comment 4 Renato Botelho freebsd_committer 2006-03-23 13:20:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 5 Renato Botelho 2006-03-23 16:34:16 UTC
There is a problem in this port. At install moment, program is
trying to do a chown bacula /var/db/bacula, but the user is not
created yet because it's done at post-install target. Here are the logs:

http://srvmix.galle.com.br/tb/errors/4-STABLE/bacula-server-devel-1.38.6.b6.20060316.log
http://srvmix.galle.com.br/tb/errors/5-STABLE/bacula-server-devel-1.38.6.b6.20060316.log
http://srvmix.galle.com.br/tb/errors/6-STABLE/bacula-server-devel-1.38.6.b6.20060316.log

Could you take a look please?

Thanks
-- 
Renato Botelho
Galle Ind. e Com. de Bijouterias Ltda.
Fone: (19) 3404-6007 - Fax: (19) 3404-6020
Comment 6 Renato Botelho freebsd_committer 2006-03-23 16:36:19 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 7 Dan Langille 2006-03-24 00:17:28 UTC
Hmmm, I guess changes have been made to the vendor source in terms of
creating things.  The same problem does not occur with
sysutils/bacula-server.  For now I have:

- I moved the post-install stuff to pre-install.  This will ensure
the user and directory is created before the application Makefile starts
using it.  While there, added code to create the directory

diff -ruN bacula-server-devel/Makefile bacula-server-devel.new/Makefile
--- bacula-server-devel/Makefile	Wed Mar 15 05:22:09 2006
+++ bacula-server-devel.new/Makefile	Thu Mar 23 19:09:28 2006
@@ -6,7 +6,7 @@
 #

 PORTNAME=	bacula
-DISTVERSION=	1.38.6-beta3-20060304
+DISTVERSION=	1.38.6-beta6-20060316
 CATEGORIES=	sysutils
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	bacula
@@ -183,6 +183,14 @@
 	@${REINPLACE_CMD} -e 's|^all_subdirs = .*|all_subdirs = scripts src\/lib src\/findlib $${subdirs}|g' ${WRKSRC}/Makefile.in
 .endif

+pre-install:
+.if !defined(WITH_CLIENT_ONLY)
+# 	Extend /etc/services and install UID/GID
+	@ ${SETENV} PKG_PREFIX=${PREFIX} \
+		${SH} ${PKGINSTALL} ${PORTNAME} PRE-INSTALL
+.endif
+
+
 post-install:
 #	Migration: move existing bacula.sh to z-bacula.sh to start bacula AFTER DB start
 	if [ -f ${PREFIX}/etc/rc.d/bacula.sh ]; then \
@@ -226,9 +234,6 @@
 	${INSTALL_MAN} ${WRKSRC}/scripts/bacula.man ${PREFIX}/man/man8/bacula.8
 .endif
 .else
-# 	Extend /etc/services and install UID/GID
-	@ ${SETENV} PKG_PREFIX=${PREFIX} \
-		${SH} ${PKGINSTALL} ${PORTNAME} POST-INSTALL
 # 	Install config files and preserve existing ones
 	${INSTALL_SCRIPT} ${FILESDIR}/chio-bacula ${PREFIX}/sbin
 	if [ -f ${PREFIX}/etc/bacula-barcodes ]; then \
diff -ruN bacula-server-devel/distinfo bacula-server-devel.new/distinfo
--- bacula-server-devel/distinfo	Wed Mar 15 05:22:09 2006
+++ bacula-server-devel.new/distinfo	Thu Mar 23 07:36:00 2006
@@ -1,2 +1,3 @@
-MD5 (bacula-1.38.6-beta3-20060304.tar.gz) = 307153832c052779dc48f31c2d057fe3
-SIZE (bacula-1.38.6-beta3-20060304.tar.gz) = 1927972
+MD5 (bacula-1.38.6-beta6-20060316.tar.gz) = ee96e16d05bfc0d68a1746abbbc71599
+SHA256 (bacula-1.38.6-beta6-20060316.tar.gz) = facea30fb4951c9c9a5a42a61f48c69149952e96626c5e8f517030d93985bd0a
+SIZE (bacula-1.38.6-beta6-20060316.tar.gz) = 1948986
diff -ruN bacula-server-devel/files/patch-src-lib-jcr.c bacula-server-devel.new/files/patch-src-lib-jcr.c
--- bacula-server-devel/files/patch-src-lib-jcr.c	Wed Dec 31 19:00:00 1969
+++ bacula-server-devel.new/files/patch-src-lib-jcr.c	Thu Mar 23 07:01:55 2006
@@ -0,0 +1,12 @@
+--- src/lib/jcr.c	14 Mar 2006 21:41:41 -0000	1.75.2.6
++++ src/lib/jcr.c	21 Mar 2006 11:33:43 -0000	1.75.2.7
+@@ -229,8 +229,8 @@
+    jcr->job_end_push.init(1, false);
+    jcr->sched_time = time(NULL);
+    jcr->daemon_free_jcr = daemon_free_jcr;    /* plug daemon free routine */
+-   jcr->inc_use_count();
+    jcr->init_mutex();
++   jcr->inc_use_count();
+    jcr->JobStatus = JS_Created;       /* ready to run */
+    jcr->VolumeName = get_pool_memory(PM_FNAME);
+    jcr->VolumeName[0] = 0;
diff -ruN bacula-server-devel/pkg-install bacula-server-devel.new/pkg-install
--- bacula-server-devel/pkg-install	Wed Mar 15 05:22:09 2006
+++ bacula-server-devel.new/pkg-install	Thu Mar 23 19:09:07 2006
@@ -16,12 +16,20 @@
 fi

 case $2 in
-POST-INSTALL)
+PRE-INSTALL)
 	# Install UID/GID
 	USER=bacula
 	GROUP=${USER}
 	UID=910
 	GID=${UID}
+
+	if [ ! -d "${BACULA_DIR}" ]
+	then
+		echo creating ${BACULA_DIR}
+		mkdir ${BACULA_DIR}
+	else
+		echo ${BACULA_DIR} already exists
+	fi

 	if pw group show "${GROUP}" 2>/dev/null; then
 		echo "You already have a group \"${GROUP}\", so I will use it."
Comment 8 Renato Botelho freebsd_committer 2006-03-24 11:46:31 UTC
Em 23/3/2006 21:17 Dan Langille escreveu:
> Hmmm, I guess changes have been made to the vendor source in terms of
> creating things.  The same problem does not occur with
> sysutils/bacula-server.  For now I have:
> 
> - I moved the post-install stuff to pre-install.  This will ensure
> the user and directory is created before the application Makefile starts
> using it.  While there, added code to create the directory

Hello,

now problem with bacula-server-devel is fixed, but the same is
happening with bacula-client-devel, like you can see here:

http://srvmix.galle.com.br/tb/errors/6-STABLE/bacula-client-devel-1.38.6.b6.20060316.log

Could you take a look at it too?

Regards
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 9 Dan Langille 2006-03-25 15:55:55 UTC
FYI: There will be a new release Monday or Tuesday.  I'm working with 
that code now because big-ish changes will be needed for the 
production port.  I'm aiming at having the devel port working for 
that release which will give the production port maintainer a bit of 
breathing room.


-- 
Dan Langille : Software Developer looking for work
my resume: http://www.freebsddiary.org/dan_langille.php
Comment 10 Renato Botelho freebsd_committer 2006-03-25 18:21:21 UTC
Em 25/3/2006 12:55 Dan Langille escreveu:
> FYI: There will be a new release Monday or Tuesday.  I'm working with 
> that code now because big-ish changes will be needed for the 
> production port.  I'm aiming at having the devel port working for 
> that release which will give the production port maintainer a bit of 
> breathing room.

Of course, that's the idea. :-)

so, i'll wait your patch to fix the bacula-client-devel build.

Thanks a lot for contributing!
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 11 Renato Botelho freebsd_committer 2006-03-30 20:36:21 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!